<?php
session_name('sid');
session_start();
if (!isset($_SESSION['code'])) exit;

// Задаем размеры изображения
$imwidth = 85;
$imheight = 26;

$im = ImageCreate($imwidth, $imheight);
$background_color = ImageColorAllocate($im, 255, 247, 225); //// Фон капчи
$text_color = ImageColorAllocate($im, 0, 0, 0); ///Цвет текста на капче

// Генерируем цифровой код на основе данных сессии
$code = substr($_SESSION["code"], 0, 4);
$x = 0;
$stringlength = strlen($code);
for ($i = 0; $i < $stringlength; $i++)
{
    $x = $x + (rand(8, 21));
    $y = rand(2, 10);
    $font = rand(4, 25);
    $single_char = substr($code, $i, 1);
    imagechar($im, $font, $x, $y, $single_char, $text_color);
}

// Передача изображения в Браузер
ob_start();
ImageGif($im);
ImageDestroy($im);
header("Content-Type: image/gif");
header('Content-Disposition: inline; filename=code.gif');
header('Content-Length: '.ob_get_length());
ob_end_flush();
?>